"use strict";

this.author      = "cim"; 
this.copyright   = "2011-2015 cim."; 
this.licence = "CC-BY-SA 3.0";
this.name = "Rescue Scenario 4a Slave Trader";
this.description = "Rescue Scenario 4a: slave trader script";

this.storedslaves = 5;
this.ejectiontimer = null;
this.$plotHint = true;

this.checkEnergy = function() {
		if (this.ship.energy < this.ship.maxEnergy/3) {
				this.ejectSlaves();
		}
}

this.ejectSlaves = function() {
		if (this.ejectiontimer == null) {
				this.ejectiontimer = new Timer(this,this.ejectSlave,1,2);
				this.ship.commsMessage("Take my cargo, but let me go!");
		} else if (this.storedslaves == 0) {
				this.ship.reactToAIMessage("JUMP_AWAY");
		}
}		

this.shipDied = function() {
		if (missionVariables.rescuestation_stage == 30) {
				// destroyed before could eject cargo
				this.ship.spawn("rrs_slaver_pod",2); // might get lucky
		} else if (missionVariables.rescuestation_stage < 35) {
				this.ship.spawn("rrs_slaver_pod",1); // might get lucky
		} else if (missionVariables.rescuestation_stage < 40) {
				missionVariables.rescuestation_stage = 40;
		}
}

this.ejectSlave = function() {
	if (this.storedslaves > 0) {
		if (this.$plotHint) {
			player.consoleMessage(missionVariables.rescuestation_pilot + " must be in one of those pods! Collect them and return to " + missionVariables.rescuestation_system_name + " RRS.");
			this.$plotHint = false;
		}
		//this.ship.speed = 0;
		this.ship.ejectSpecificItem("rrs_slaver_pod");
		//this.ship.speed = this.ship.maxSpeed;
		if (missionVariables.rescuestation_stage < 40) //don't add, if collecting is already in process.
			missionVariables.rescuestation_stage++;
		this.storedslaves--;
	} else {
			this.ejectiontimer.stop();
			if (missionVariables.rescuestation_stage < 40) {
					missionVariables.rescuestation_stage = 40;
			}
			this.ship.reactToAIMessage("JUMP_AWAY");
	}
}

this.leaveSystem = function() {
		this.ship.exitSystem();
}
